Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Automaton
Class AutomatonTransition

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode
                  SEdit.Formalisms.StateTransition.SimpleTransition
                      SEdit.Formalisms.Automaton.AutomatonTransition

    public class AutomatonTransition

extends SimpleTransition

CLASSE AutomatonTransition

Field Summary
`boolean` | `activated`
`char` | `c`
`java.lang.String` | `currentWord`

Fields inherited from class SEdit.SimpleNode
`inArrows, outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`AutomatonTransition()`

Method Summary
`char` | `getTransitionValue()` Get the value of c.
`void` | `setTransitionValue(char v)` Set the value of c.
`void` | `validate()`
`void` | `wakeUp(java.lang.String w)`

Methods inherited from class SEdit.Formalisms.StateTransition.SimpleTransition
`isConnectable`

Methods inherited from class SEdit.SimpleNode
`addInArrow, addOutArrow, delete, deleteInArrow, deleteOutArrow, getInArrows, getInArrows, getOutArrows, getOutArrows, toString`

Methods inherited from class SEdit.SNode
`activate, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### activated

    public boolean activated

### currentWord

    public java.lang.String currentWord

### c

    public char c

Constructor Detail

### AutomatonTransition

    public AutomatonTransition()

Method Detail

### getTransitionValue

    public char getTransitionValue()

  Get the value of c.

  Returns:
    Value of c.

### setTransitionValue

    public void setTransitionValue(char v)

  Set the value of c.

  Parameters:
    `v` - Value to assign to c.

### wakeUp

    public void wakeUp(java.lang.String w)

### validate

    public void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.